/*
 * Created on 2004. 1. 29.
 *
 */
package controller;


/**
 * @author hyoki
 *
 */
public class ActionFactory {

	private ActionController controller = null;
	/**
	 * @param controller
	 */
	public ActionFactory(ActionController controller) {
		this.controller = controller;
	}
	public static String NEW_LIST = "newList";
	public static String NEW_LIST_SELECTED = "newListSelected";
	public static String NEW_SMART_LIST = "newSmartList";
	public static String ADD_FILE = "addFile";
	public static String ADD_FOLDER = "addFolder";
	public static String CLOSE_WINDOW = "closeWindow";
	public static String IMPORT_LIST = "importList";
	public static String EXPORT_LIST = "exportList";
	public static String EXPORT_LIB = "exportLib";
	public static String GET_INFO = "getInfo";
	public static String EDIT_SMART_LIST  = "editSmartList";
	public static String SHOW_SONG_FILE = "showSongFile";
	public static String SHOW_CURRENT_SONG ="showCurrentSong";
	public static String BURN_CD = "burnCD";
	public static String UPDATE_IPOD = "updateIpod";
	public static String EXIT = "exit";
	
	public static String UNDO = "undo";
	public static String CUT = "cut";
	public static String COPY = "copy";
	public static String PASTE = "paste";
	public static String CLEAR = "clear";
	public static String SELECT_ALL = "selectAll";
	public static String SELECT_NONE = "selectNone";
	public static String BROWSER = "browser";
	public static String ARTWORK = "artwork";
	public static String VIEW_OPTION = "viewOption";
	public static String PREFERENCE = "preference";
	
	public static String PLAY = "play";
	public static String STOP = "stop";
	public static String PAUSE = "pause";
	public static String NEXT_SONG ="nextSong";
	public static String PREVIOS_SONG ="previosSong";
	public static String SHUFFLE = "shuffle";
	
	public static String REPEAT_OFF = "repeatOff";
	public static String REPEAT_ALL = "repeatAll";
	public static String VOLUME_UP = "volumeUp";
	public static String VOLUME_DOWN = "volumeDown";
	public static String MUTE = "mute";
	
	public static String ABOUT = "about";	

	javax.swing.ActionMap actionMap = new javax.swing.ActionMap();	
	/**
	 * @return
	 */
	public javax.swing.ActionMap createActionMap() {
		try {
			addActions(ActionFactory.class.getFields());
		} catch (IllegalArgumentException e) {
			e.printStackTrace();
		} catch (SecurityException e) {
			e.printStackTrace();
		} catch (IllegalAccessException e) {
			e.printStackTrace();
		}		
		return actionMap;
	}
	
	private void addActions(java.lang.reflect.Field[] keys) throws IllegalArgumentException, IllegalAccessException {
		for (int i = 0; i < keys.length; i++) {
			String value = (String) keys[i].get(ActionFactory.class);
			addAction(value);
		}
	} 
	private void addAction(String key){
		actionMap.put(key,new ControlAction(controller,key));
	}
	public static void setAction(javax.swing.AbstractButton button,javax.swing.ActionMap map, String key) {
		javax.swing.Icon tempIcon = button.getIcon();
		button.setAction(map.get(key));
		button.setIcon(tempIcon);
	}
}
