package daapLib;


public class DaapLoginResponse {
    private int loginresponse = -1;
    private int status = -1;
    private int sessionid = -1;
    
    public DaapLoginResponse(byte[] data) {
        DaapParser parser = new DaapParser();
        parser.parse(data);
        
        if (parser.getObjectForKey("mlog") != null)
            loginresponse = ((Integer)parser.getObjectForKey("mlog")).intValue(); 
        
        if (parser.getObjectForKey("mstt") != null)
            status = ((Integer)parser.getObjectForKey("mstt")).intValue();
        
        if (parser.getObjectForKey("mlid") != null)
            sessionid = ((Integer)parser.getObjectForKey("mlid")).intValue();
    }
    
    public int getLoginResponse() {
        return(loginresponse);
    }
    
    public int getStatus() {
        return(status);
    }
    
    public int getSessionID() {
        return(sessionid);
    }
    
    public String toString() {
        StringBuffer buf = new StringBuffer();
        buf.append("\nLoginResponse");
        buf.append("\ndmap.loginresponse=" + loginresponse);
        buf.append("\ndmap.status=" + status);
        buf.append("\ndmap.sessionid=" + sessionid);
        return(buf.toString());
    }
}
