/*
 * Created on 2004. 1. 23.
 *
 */
package laf.mac.renderedUI;

import java.awt.Graphics;

import javax.swing.JComponent;
import javax.swing.plaf.basic.BasicTextFieldUI;

/**
 * @author hyoki
 *
 */
public class RenderedTextUI extends BasicTextFieldUI {

	private ComponentRenderer renderer = null;
	private RenderedTextUI(){}
	private JComponent comp = null;
	/**
	 * @param renderer
	 */
	public RenderedTextUI(JComponent comp, ComponentRenderer renderer ) {
		this.renderer = renderer;
		this.comp = comp;		
	}

	/* (non-Javadoc)
	 * @see javax.swing.plaf.basic.BasicTextUI#paintBackground(java.awt.Graphics)
	 */
	protected void paintBackground(Graphics g) {
		renderer.paintTextFieldBackground(g, comp);
	}
	
}
