/*
 * Created on 2004. 1. 15.
 *
 */
package laf.mac.texturedUI;

import java.awt.Component;
import java.awt.Graphics;
import java.util.Hashtable;



/**
 * @author hyoki
 *
 */
public interface ComponentTexturer {
	public void paint(Graphics g, Component c);

	/**
	 * 
	 */
	public int getPreferredSplitThickness();

	/**
	 * @param g
	 * @param divider
	 */
	public void paintSplitDot(Graphics g, Component divider);

	/**
	 * @param g
	 * @param component
	 */
	public void paintLable(Graphics g, Component component);

	/**
	 * @param c
	 * @param g
	 * @param x
	 * @param y
	 */
	public void paintPressedBorder(Component c, Graphics g, int x, int y);

	/**
	 * @param c
	 * @param g
	 * @param x
	 * @param y
	 */
	public void paintUnpressedBorder(Component c, Graphics g, int x, int y);

	/**
	 * 
	 */
	public Hashtable getButtonTable();
}
