/*
 * Created on 2004. 1. 15.
 *
 */
package laf.mac.texturedUI;

import java.awt.Graphics;

import javax.swing.JComponent;
import javax.swing.plaf.basic.BasicMenuUI;


/**
 * @author hyoki
 *
 */
public class TexturedMenuUI extends BasicMenuUI {
	private ComponentTexturer texturer = null;
		/**
		 * @param texturer
		 */
		public TexturedMenuUI(ComponentTexturer texturer) {
			this.texturer = texturer;
		}
		private TexturedMenuUI(){}
	
		/* (non-Javadoc)
		 * @see javax.swing.plaf.ComponentUI#paint(java.awt.Graphics, javax.swing.JComponent)
		 */
		public void paint(Graphics g, JComponent c) {
			texturer.paint(g,c);
			super.paint(g, c);
		}
}
