/*
 * Created on 2004. 2. 8.
 *
 */
package model.impl.remote;

import model.api.Playlist;
import model.api.Song;
import daapLib.DaapPlaylist;

/**
 * @author coms Administrator
 *
 */
public class RemotePlaylist implements Playlist {


	private DaapPlaylist playlist;

	/**
	 * @param playlist
	 */
	public RemotePlaylist(DaapPlaylist playlist) {
		this.playlist = playlist;
	}

	/* (non-Javadoc)
	 * @see api.Playlist#getName()
	 */
	public String getName() {		
		return playlist.getItemName();
	}
	/* (non-Javadoc)
	 * @see api.Playlist#getAllSongs()
	 */
	public Song[] getAllSongs() {
		return RemoteLibrary.convertSong(playlist.getSongs());
	}

	/* (non-Javadoc)
	 * @see api.Playlist#getSong(int)
	 */
	public Song getSong(int index) {		
		return new RemoteSong(playlist.getSongs().getSongAtIndex(index));
	}

	/* (non-Javadoc)
	 * @see api.Playlist#getSongSize()
	 */
	public int getSongSize() {
		return playlist.getSongs().getSongCount();
	}

	/* (non-Javadoc)
	 * @see api.Playlist#isSmartList()
	 */
	public boolean isSmartList() {
		return false;
	}

	/* (non-Javadoc)
	 * @see api.Playlist#setName(java.lang.String)
	 */
	public void setName(String name) {
		throw new UnsupportedOperationException();
	}

	/* (non-Javadoc)
	 * @see api.Playlist#setPlaylistId(int)
	 */
	public void setPlaylistId(int id) {
		throw new UnsupportedOperationException();
	}

	/* (non-Javadoc)
	 * @see api.Playlist#setPlaylistPersistentId(java.lang.String)
	 */
	public void setPlaylistPersistentId(String persistentId) {
		throw new UnsupportedOperationException();
	}


	/* (non-Javadoc)
	 * @see api.Playlist#addSong(api.Song)
	 */
	public void addSong(Song song) {
		throw new UnsupportedOperationException();
	}

	/* (non-Javadoc)
	 * @see api.Playlist#removeSong(int)
	 */
	public void removeSong(int index) {
		throw new UnsupportedOperationException();
	}

	/* (non-Javadoc)
	 * @see api.Playlist#getPlaylistId()
	 */
	public int getPlaylistId() {
		throw new UnsupportedOperationException();
	}

	/* (non-Javadoc)
	 * @see api.Playlist#getPlaylistPersistentId()
	 */
	public String getPlaylistPersistentId() {
		throw new UnsupportedOperationException();
	}

}
