package daapLib.api;

import java.io.InputStream;

public interface DaapRemoteSong{

	public String getArtist();
    public String getAlbum();
    public int getTime();
    public String getItemName();
    public int getItemID();
    public String getGenre();
    public String getFormat();
    public int getBeatsPerMinute();
    public int getSampleRate();
    public String getComment();
    public String getComposer();
    public String getDateAdded();
    public String getDateModified();
    public int getTrackNumber();
    //public String getEqualizer();
    //public String getLastPlayed();
    //public int getUserRating();
    public int getBitrate();
	//public int getCounter();
	public int getSize();
    public int getDiscNumber();
    public int getYear();
    public int getDisabled();
    
    
    public InputStream getStream();
    public boolean isPlaying();
    public void setPlaying(boolean playing);
}
