/*
 * Created on 04.07.2003
 *
 */
package daapLib.api;

import java.util.Enumeration;

import javax.swing.tree.TreeNode;

import daapLib.DaapShared;

/**
 * @author toenzrog
 *
 */
public class Shared_Daap implements TreeNode {

	private java.util.Vector servers = new java.util.Vector();
	private TreeNode parent = null;
	
	public Shared_Daap(TreeNode parent){
		this.parent = parent;
	}
	public String getName(){
		return "Shared Music";
	}

	public void addServer(DaapShared server){
		this.servers.add(server);
	}
	public void removeServer(DaapShared server){
		this.servers.remove(server);
	}

	/* (non-Javadoc)
	 * @see javax.swing.tree.TreeNode#getChildAt(int)
	 */
	public TreeNode getChildAt(int index) {
		return (TreeNode)servers.get(index);
	}

	/* (non-Javadoc)
	 * @see javax.swing.tree.TreeNode#getChildCount()
	 */
	public int getChildCount() {
		return servers.size();
	}

	/* (non-Javadoc)
	 * @see javax.swing.tree.TreeNode#getParent()
	 */
	public TreeNode getParent() {
		return this.parent;
	}

	/* (non-Javadoc)
	 * @see javax.swing.tree.TreeNode#getIndex(javax.swing.tree.TreeNode)
	 */
	public int getIndex(TreeNode node) {
		return servers.indexOf(node);
	}

	/* (non-Javadoc)
	 * @see javax.swing.tree.TreeNode#getAllowsChildren()
	 */
	public boolean getAllowsChildren() {
		return true;
	}

	/* (non-Javadoc)
	 * @see javax.swing.tree.TreeNode#isLeaf()
	 */
	public boolean isLeaf() {
		return false;
	}

	/* (non-Javadoc)
	 * @see javax.swing.tree.TreeNode#children()
	 */
	public Enumeration children() {
		return servers.elements();
	}

}
