/*
 * Created on 2004. 1. 27.
 *
 */
package gui;

import java.awt.Font;

import javax.swing.ActionMap;
import javax.swing.ButtonGroup;

import laf.mac.MacLafFactory;
import controller.ActionFactory;

/**
 * @author hyoki
 *
 */
public class MenuComposor {
	
	private ActionMap am;
	/**
	 * @param biggerFont
	 * @param smallerFont
	 */
	public MenuComposor(Font biggerFont, Font smallerFont, javax.swing.ActionMap am) {
		this.menuItemFont = biggerFont;
		this.menuBarFont = smallerFont;
		this.am = am;
		this.getJMenuBar();
		this.setDisables();
	}
	/**
	 * 
	 */
	private void setDisables() {
		getVisualizerMenu().setEnabled(false);
		getAdvancedMenu().setEnabled(false);
		getFileMenuItem13().setEnabled(false);
		getControlsMenuItem6().setEnabled(false);
		getControlsMenuItem10().setEnabled(false);		
	}
	private java.awt.Font menuItemFont = null;
	private java.awt.Font menuBarFont = null;
	private javax.swing.JMenuBar jMenuBar = null;
	private javax.swing.JMenu fileMenu = null;
	private javax.swing.JMenu editMenu = null;
	private javax.swing.JMenu controlMenu = null;
	private javax.swing.JMenu visualizerMenu = null;
	private javax.swing.JMenu advancedMenu = null;
	private javax.swing.JMenu helpMenu = null;
	private javax.swing.JMenuItem fileMenuItem = null;
	private javax.swing.JMenuItem fileMenuItem1 = null;
	private javax.swing.JMenuItem fileMenuItem2 = null;
	private javax.swing.JMenuItem fileMenuItem3 = null;
	private javax.swing.JMenuItem fileMenuItem4 = null;
	private javax.swing.JMenuItem fileMenuItem5 = null;
	private javax.swing.JMenuItem fileMenuItem6 = null;
	private javax.swing.JMenuItem fileMenuItem7 = null;
	private javax.swing.JMenuItem fileMenuItem8 = null;
	private javax.swing.JMenuItem fileMenuItem9 = null;
	private javax.swing.JMenuItem fileMenuItem10 = null;
	private javax.swing.JMenuItem fileMenuItem11 = null;
	private javax.swing.JMenuItem fileMenuItem12 = null;
	private javax.swing.JMenuItem fileMenuItem13 = null;
	private javax.swing.JMenuItem fileMenuItem14 = null;
	private javax.swing.JMenuItem fileMenuItem15 = null;
	private javax.swing.JMenuItem editMenuItem = null;
	private javax.swing.JMenuItem editMenuItem1 = null;
	private javax.swing.JMenuItem editMenuItem2 = null;
	private javax.swing.JMenuItem editMenuItem3 = null;
	private javax.swing.JMenuItem editMenuItem4 = null;
	private javax.swing.JMenuItem editMenuItem5 = null;
	private javax.swing.JMenuItem editMenuItem6 = null;
	private javax.swing.JMenuItem editMenuItem7 = null;
	private javax.swing.JMenuItem editMenuItem8 = null;
	private javax.swing.JMenuItem editMenuItem9 = null;
	private javax.swing.JMenuItem editMenuItem10 = null;
	private javax.swing.JMenuItem controlsMenuItem = null;
	private javax.swing.JMenuItem controlsMenuItem1 = null;
	private javax.swing.JMenuItem controlsMenuItem2 = null;
	private javax.swing.JRadioButtonMenuItem controlsMenuItem3 = null;	
	private javax.swing.JCheckBoxMenuItem controlsMenuItem4 = null;
	private javax.swing.JCheckBoxMenuItem controlsMenuItem5 = null;
	private javax.swing.JCheckBoxMenuItem controlsMenuItem6 = null;
	private javax.swing.JMenuItem controlsMenuItem7 = null;
	private javax.swing.JMenuItem controlsMenuItem8 = null;
	private javax.swing.JRadioButtonMenuItem controlsMenuItem9 = null;
	private javax.swing.JMenuItem controlsMenuItem10 = null;

	private javax.swing.JMenuItem visualizerMenuItem = null;
	private javax.swing.JCheckBoxMenuItem visualizerMenuItem1 = null;
	private javax.swing.JCheckBoxMenuItem visualizerMenuItem2 = null;
	private javax.swing.JCheckBoxMenuItem visualizerMenuItem3 = null;
	private javax.swing.JRadioButtonMenuItem visualizerMenuItem4 = null;
	private javax.swing.JMenuItem advancedMenuItem = null;
	private javax.swing.JMenuItem advancedMenuItem1 = null;
	private javax.swing.JMenuItem advancedMenuItem2 = null;
	private javax.swing.JMenuItem advancedMenuItem3 = null;
	private javax.swing.JMenuItem advancedMenuItem4 = null;
	private javax.swing.JMenuItem advancedMenuItem5 = null;
	private javax.swing.JMenuItem advancedMenuItem6 = null;
	private javax.swing.JMenuItem advancedMenuItem7 = null;
	private javax.swing.JMenuItem advancedMenuItem8 = null;
	private javax.swing.JMenuItem advancedMenuItem9 = null;
	private javax.swing.JMenuItem helpMenuItem = null;



	/**
	 * This method initializes jJMenuBar
	 * 
	 * @return javax.swing.JMenuBar
	 */
	public javax.swing.JMenuBar getJMenuBar() {
		if(jMenuBar == null) {
			jMenuBar = MacLafFactory.createMenuBar();
			jMenuBar.add(getFileMenu());
			jMenuBar.add(getEditMenu());
			jMenuBar.add(getControlMenu());
//			jMenuBar.add(getVisualizerMenu());
//			jMenuBar.add(getAdvancedMenu());
			jMenuBar.add(getHelpMenu());
			jMenuBar.setFont(menuBarFont);
		}
		return jMenuBar;
	}
	/**
	 * This method initializes jMenu
	 * 
	 * @return javax.swing.JMenu
	 */
	private javax.swing.JMenu getFileMenu() {
		if(fileMenu == null) {
			fileMenu = MacLafFactory.createMenu();
			fileMenu.add(getFileMenuItem());
			fileMenu.add(getFileMenuItem1());
			fileMenu.add(getFileMenuItem2());
			fileMenu.add(getFileMenuItem3());
			fileMenu.add(getFileMenuItem4());
			fileMenu.add(getFileMenuItem5());
			fileMenu.addSeparator();
			fileMenu.add(getFileMenuItem6());
			fileMenu.add(getFileMenuItem7());
			fileMenu.add(getFileMenuItem8());
			fileMenu.addSeparator();
			fileMenu.add(getFileMenuItem9());
			fileMenu.add(getFileMenuItem10());
			fileMenu.add(getFileMenuItem11());
			fileMenu.add(getFileMenuItem12());
			fileMenu.addSeparator();
			fileMenu.add(getFileMenuItem13());
			fileMenu.addSeparator();
			fileMenu.add(getFileMenuItem14());
			fileMenu.addSeparator();
			fileMenu.add(getFileMenuItem15());			
			fileMenu.setText("File");
			fileMenu.setMnemonic(java.awt.event.KeyEvent.VK_F);
			fileMenu.setFont(new java.awt.Font("Lucida Bright", java.awt.Font.PLAIN, 11));
		}
		return fileMenu;
	}
	/**
	 * This method initializes jMenu1
	 * 
	 * @return javax.swing.JMenu
	 */
	private javax.swing.JMenu getEditMenu() {
		if(editMenu == null) {
			editMenu = MacLafFactory.createMenu();
			editMenu.add(getEditMenuItem());
			editMenu.addSeparator();
			editMenu.add(getEditMenuItem1());
			editMenu.add(getEditMenuItem2());
			editMenu.add(getEditMenuItem3());
			editMenu.add(getEditMenuItem4());
			editMenu.addSeparator();
			editMenu.add(getEditMenuItem5());
			editMenu.add(getEditMenuItem6());
			editMenu.addSeparator();
			editMenu.add(getEditMenuItem7());
			editMenu.add(getEditMenuItem8());
			editMenu.addSeparator();
			editMenu.add(getEditMenuItem9());
			editMenu.add(getEditMenuItem10());
			editMenu.setText("Edit");
			editMenu.setMnemonic(java.awt.event.KeyEvent.VK_E);
			editMenu.setFont(new java.awt.Font("Lucida Bright", java.awt.Font.PLAIN, 11));
		}
		return editMenu;
	}
	/**
	 * This method initializes jMenu2
	 * 
	 * @return javax.swing.JMenu
	 */
	private javax.swing.JMenu getControlMenu() {
		if(controlMenu == null) {
			controlMenu = MacLafFactory.createMenu();
			controlMenu.add(getControlsMenuItem());
			controlMenu.add(getControlsMenuItem1());
			controlMenu.add(getControlsMenuItem2());
			controlMenu.addSeparator();
			controlMenu.add(getControlsMenuItem3());
			controlMenu.addSeparator();
			controlMenu.add(getControlsMenuItem4());
			controlMenu.add(getControlsMenuItem5());
			controlMenu.add(getControlsMenuItem6());
			controlMenu.addSeparator();
			controlMenu.add(getControlsMenuItem7());
			controlMenu.add(getControlsMenuItem8());
			controlMenu.add(getControlsMenuItem9());
			controlMenu.addSeparator();
			controlMenu.add(getControlsMenuItem10());
						
			ButtonGroup group = new ButtonGroup();
			group.add(getControlsMenuItem4());
			group.add(getControlsMenuItem5());
			group.add(getControlsMenuItem6());
			group.setSelected(getControlsMenuItem4().getModel(),true);
			
			controlMenu.setText("Controls");
			controlMenu.setMnemonic(java.awt.event.KeyEvent.VK_C);
			controlMenu.setFont(new java.awt.Font("Lucida Bright", java.awt.Font.PLAIN, 11));
		}
		return controlMenu;
	}
	/**
	 * This method initializes jMenu3
	 * 
	 * @return javax.swing.JMenu
	 */
	private javax.swing.JMenu getVisualizerMenu() {
		if(visualizerMenu == null) {
			visualizerMenu = MacLafFactory.createMenu();
			visualizerMenu.add(getVisualizerMenuItem());
			visualizerMenu.addSeparator();
			visualizerMenu.add(getVisualizerMenuItem1());
			visualizerMenu.add(getVisualizerMenuItem2());
			visualizerMenu.add(getVisualizerMenuItem3());
			visualizerMenu.addSeparator();
			visualizerMenu.add(getVisualizerMenuItem4());
			
			ButtonGroup  group = new ButtonGroup ();
			group.add(getVisualizerMenuItem1());
			group.add(getVisualizerMenuItem2());
			group.add(getVisualizerMenuItem3());
			group.setSelected(getVisualizerMenuItem3().getModel(),true);
			
			visualizerMenu.setText("Visualizer");
			visualizerMenu.setMnemonic(java.awt.event.KeyEvent.VK_V);
			visualizerMenu.setFont(new java.awt.Font("Lucida Bright", java.awt.Font.PLAIN, 11));
		}
		return visualizerMenu;
	}
	/**
	 * This method initializes jMenu4
	 * 
	 * @return javax.swing.JMenu
	 */
	private javax.swing.JMenu getAdvancedMenu() {
		if(advancedMenu == null) {
			advancedMenu = MacLafFactory.createMenu();
			advancedMenu.add(getAdvancedMenuItem());
			advancedMenu.addSeparator();
			advancedMenu.add(getAdvancedMenuItem1());
			advancedMenu.addSeparator();
			advancedMenu.add(getAdvancedMenuItem2());
			advancedMenu.addSeparator();
			advancedMenu.add(getAdvancedMenuItem3());
			advancedMenu.addSeparator();
			advancedMenu.add(getAdvancedMenuItem4());
			advancedMenu.add(getAdvancedMenuItem5());
			advancedMenu.addSeparator();
			advancedMenu.add(getAdvancedMenuItem6());
			advancedMenu.addSeparator();
			advancedMenu.add(getAdvancedMenuItem7());
			advancedMenu.add(getAdvancedMenuItem8());
			advancedMenu.addSeparator();
			advancedMenu.add(getAdvancedMenuItem9());
			advancedMenu.setText("Advanced");
			advancedMenu.setMnemonic(java.awt.event.KeyEvent.VK_A);
			advancedMenu.setFont(new java.awt.Font("Lucida Bright", java.awt.Font.PLAIN, 11));
		}
		return advancedMenu;
	}
	/**
	 * This method initializes jMenu5
	 * 
	 * @return javax.swing.JMenu
	 */
	private javax.swing.JMenu getHelpMenu() {
		if(helpMenu == null) {
			helpMenu = MacLafFactory.createMenu();
			helpMenu.add(getHelpMenuItem());
			helpMenu.setText("Help");
			helpMenu.setMnemonic(java.awt.event.KeyEvent.VK_H);
			helpMenu.setFont(new java.awt.Font("Lucida Bright", java.awt.Font.PLAIN, 11));
		}
		return helpMenu;
	}
	/**
	 * This method initializes fileMenuItem
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getFileMenuItem() {
		if(fileMenuItem == null) {			
			fileMenuItem = MacLafFactory.createMenuItem();
			fileMenuItem.setAction(am.get(ActionFactory.NEW_LIST));
			fileMenuItem.setText("New Playlist");						
			fileMenuItem.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_N,java.awt.event.InputEvent.CTRL_DOWN_MASK));
			fileMenuItem.setMnemonic(java.awt.event.KeyEvent.VK_N);			
			fileMenuItem.setFont(menuItemFont);
		}
		return fileMenuItem;
	}
	/**
	 * This method initializes fileMenuItem1
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getFileMenuItem1() {
		if(fileMenuItem1 == null) {
			fileMenuItem1 = MacLafFactory.createMenuItem();
			fileMenuItem1.setAction(am.get(ActionFactory.NEW_LIST_SELECTED));
			fileMenuItem1.setText("New Playlist From Selection");
			fileMenuItem1.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_N, java.awt.event.InputEvent.CTRL_DOWN_MASK + java.awt.event.InputEvent.SHIFT_DOWN_MASK));
			fileMenuItem1.setMnemonic(java.awt.event.KeyEvent.VK_P);
			fileMenuItem1.setFont(menuItemFont);
		}
		return fileMenuItem1;
	}
	/**
	 * This method initializes fileMenuItem2
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getFileMenuItem2() {
		if(fileMenuItem2 == null) {
			fileMenuItem2 = MacLafFactory.createMenuItem();
			fileMenuItem2.setAction(am.get(ActionFactory.NEW_SMART_LIST));
			fileMenuItem2.setText("New Smart Playlist");
			fileMenuItem2.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_N, java.awt.event.InputEvent.CTRL_DOWN_MASK + java.awt.event.InputEvent.ALT_DOWN_MASK));
			fileMenuItem2.setMnemonic(java.awt.event.KeyEvent.VK_S);
			fileMenuItem2.setFont(menuItemFont);
		}
		return fileMenuItem2;
	}
	/**
	 * This method initializes fileMenuItem3
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getFileMenuItem3() {
		if(fileMenuItem3 == null) {
			fileMenuItem3 = MacLafFactory.createMenuItem();
			fileMenuItem3.setAction(am.get(ActionFactory.ADD_FILE));
			fileMenuItem3.setText("Add File to Library");
			fileMenuItem3.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_O, java.awt.event.InputEvent.CTRL_DOWN_MASK));
			fileMenuItem3.setMnemonic(java.awt.event.KeyEvent.VK_A);
			fileMenuItem3.setFont(menuItemFont);
		}
		return fileMenuItem3;
	}
	/**
	 * This method initializes fileMenuItem4
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getFileMenuItem4() {
		if(fileMenuItem4 == null) {
			fileMenuItem4 = MacLafFactory.createMenuItem();
			fileMenuItem4.setAction(am.get(ActionFactory.ADD_FOLDER));
			fileMenuItem4.setText("Add Folder to Library");
			fileMenuItem4.setMnemonic(java.awt.event.KeyEvent.VK_D);
			fileMenuItem4.setFont(menuItemFont);
		}
		return fileMenuItem4;
	}
	/**
	 * This method initializes fileMenuItem5
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getFileMenuItem5() {
		if(fileMenuItem5 == null) {
			fileMenuItem5 = MacLafFactory.createMenuItem();
			fileMenuItem5.setAction(am.get(ActionFactory.CLOSE_WINDOW));
			fileMenuItem5.setText("Close Window");
			fileMenuItem5.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_W, java.awt.event.InputEvent.CTRL_DOWN_MASK));
			fileMenuItem5.setMnemonic(java.awt.event.KeyEvent.VK_C);
			fileMenuItem5.setFont(menuItemFont);
		}
		return fileMenuItem5;
	}
	/**
	 * This method initializes fileMenuItem6
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getFileMenuItem6() {
		if(fileMenuItem6 == null) {
			fileMenuItem6 = MacLafFactory.createMenuItem();
			fileMenuItem6.setAction(am.get(ActionFactory.IMPORT_LIST));
			fileMenuItem6.setText("Import");
			fileMenuItem6.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_O, java.awt.event.InputEvent.CTRL_DOWN_MASK + java.awt.event.InputEvent.SHIFT_DOWN_MASK));
			fileMenuItem6.setMnemonic(java.awt.event.KeyEvent.VK_I);
			fileMenuItem6.setFont(menuItemFont);
		}
		return fileMenuItem6;
	}
	/**
	 * This method initializes fileMenuItem7
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getFileMenuItem7() {
		if(fileMenuItem7 == null) {
			fileMenuItem7 = MacLafFactory.createMenuItem();
			fileMenuItem7.setAction(am.get(ActionFactory.EXPORT_LIST));
			fileMenuItem7.setText("Export Song List");
			fileMenuItem7.setMnemonic(java.awt.event.KeyEvent.VK_R);
			fileMenuItem7.setFont(menuItemFont);
		}
		return fileMenuItem7;
	}
	/**
	 * This method initializes fileMenuItem8
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getFileMenuItem8() {
		if(fileMenuItem8 == null) {
			fileMenuItem8 = MacLafFactory.createMenuItem();
			fileMenuItem8.setAction(am.get(ActionFactory.EXPORT_LIB));
			fileMenuItem8.setText("Export Library");
			fileMenuItem8.setMnemonic(java.awt.event.KeyEvent.VK_L);
			fileMenuItem8.setFont(menuItemFont);
		}
		return fileMenuItem8;
	}
	/**
	 * This method initializes fileMenuItem9
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getFileMenuItem9() {
		if(fileMenuItem9 == null) {
			fileMenuItem9 = MacLafFactory.createMenuItem();
			fileMenuItem9.setAction(am.get(ActionFactory.GET_INFO));
			fileMenuItem9.setText("Get Info");
			fileMenuItem9.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_I, java.awt.event.InputEvent.CTRL_DOWN_MASK));
			fileMenuItem9.setMnemonic(java.awt.event.KeyEvent.VK_G);
			fileMenuItem9.setFont(menuItemFont);
		}
		return fileMenuItem9;
	}
	/**
	 * This method initializes fileMenuItem10
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getFileMenuItem10() {
		if(fileMenuItem10 == null) {
			fileMenuItem10 = MacLafFactory.createMenuItem();
			fileMenuItem10.setAction(am.get(ActionFactory.EDIT_SMART_LIST));
			fileMenuItem10.setText("Edit Smart Playlist");
			fileMenuItem10.setMnemonic(java.awt.event.KeyEvent.VK_E);
			fileMenuItem10.setFont(menuItemFont);
		}
		return fileMenuItem10;
	}
	/**
	 * This method initializes fileMenuItem11
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getFileMenuItem11() {
		if(fileMenuItem11 == null) {
			fileMenuItem11 = MacLafFactory.createMenuItem();
			fileMenuItem11.setAction(am.get(ActionFactory.SHOW_SONG_FILE));
			fileMenuItem11.setText("Show Song File");
			fileMenuItem11.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_R, java.awt.event.InputEvent.CTRL_DOWN_MASK));
			fileMenuItem11.setMnemonic(java.awt.event.KeyEvent.VK_F);
			fileMenuItem11.setFont(menuItemFont);
		}
		return fileMenuItem11;
	}
	/**
	 * This method initializes fileMenuItem12
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getFileMenuItem12() {
		if(fileMenuItem12 == null) {
			fileMenuItem12 = MacLafFactory.createMenuItem();
			fileMenuItem12.setAction(am.get(ActionFactory.SHOW_CURRENT_SONG));
			fileMenuItem12.setText("Show Current Song");
			fileMenuItem12.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_L, java.awt.event.InputEvent.CTRL_DOWN_MASK));
			fileMenuItem12.setMnemonic(java.awt.event.KeyEvent.VK_O);
			fileMenuItem12.setFont(menuItemFont);
		}
		return fileMenuItem12;
	}
	/**
	 * This method initializes fileMenuItem13
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getFileMenuItem13() {
		if(fileMenuItem13 == null) {
			fileMenuItem13 = MacLafFactory.createMenuItem();
			fileMenuItem13.setAction(am.get(ActionFactory.BURN_CD));
			fileMenuItem13.setText("Burn Playlist to Disc");
			fileMenuItem13.setMnemonic(java.awt.event.KeyEvent.VK_B);
			fileMenuItem13.setFont(menuItemFont);
		}
		return fileMenuItem13;
	}
	/**
	 * This method initializes fileMenuItem14
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getFileMenuItem14() {
		if(fileMenuItem14 == null) {
			fileMenuItem14 = MacLafFactory.createMenuItem();
			fileMenuItem14.setAction(am.get(ActionFactory.UPDATE_IPOD));
			fileMenuItem14.setText("Update Songs on \"iPod\"");
			fileMenuItem14.setEnabled(false);
			fileMenuItem14.setMnemonic(java.awt.event.KeyEvent.VK_U);
			fileMenuItem14.setFont(menuItemFont);
		}
		return fileMenuItem14;
	}
	/**
	 * This method initializes fileMenuItem15
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getFileMenuItem15() {
		if(fileMenuItem15 == null) {
			fileMenuItem15 = MacLafFactory.createMenuItem();
			fileMenuItem15.setAction(am.get(ActionFactory.EXIT));
			fileMenuItem15.setText("Exit");
			fileMenuItem15.setMnemonic(java.awt.event.KeyEvent.VK_X);
			fileMenuItem15.setFont(menuItemFont);
		}
		return fileMenuItem15;
	}
	/**
	 * This method initializes editMenuItem
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getEditMenuItem() {
		if(editMenuItem == null) {
			editMenuItem = MacLafFactory.createMenuItem();
			editMenuItem.setAction(am.get(ActionFactory.UNDO));
			editMenuItem.setText("Undo");
			editMenuItem.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_Z, java.awt.event.InputEvent.CTRL_DOWN_MASK));
			editMenuItem.setMnemonic(java.awt.event.KeyEvent.VK_U);
			editMenuItem.setFont(menuItemFont);
		}
		return editMenuItem;
	}
	/**
	 * This method initializes editMenuItem1
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getEditMenuItem1() {
		if(editMenuItem1 == null) {
			editMenuItem1 = MacLafFactory.createMenuItem();
			editMenuItem1.setAction(am.get(ActionFactory.CUT));
			editMenuItem1.setText("Cut");
			editMenuItem1.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_X, java.awt.event.InputEvent.CTRL_DOWN_MASK));
			editMenuItem1.setMnemonic(java.awt.event.KeyEvent.VK_T);
			editMenuItem1.setFont(menuItemFont);
		}
		return editMenuItem1;
	}
	/**
	 * This method initializes editMenuItem2
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getEditMenuItem2() {
		if(editMenuItem2 == null) {
			editMenuItem2 = MacLafFactory.createMenuItem();
			editMenuItem2.setAction(am.get(ActionFactory.COPY));
			editMenuItem2.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_C, java.awt.event.InputEvent.CTRL_DOWN_MASK));
			editMenuItem2.setText("Copy");
			editMenuItem2.setMnemonic(java.awt.event.KeyEvent.VK_C);
			editMenuItem2.setFont(menuItemFont);
		}
		return editMenuItem2;
	}
	/**
	 * This method initializes editMenuItem3
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getEditMenuItem3() {
		if(editMenuItem3 == null) {
			editMenuItem3 = MacLafFactory.createMenuItem();
			editMenuItem3.setAction(am.get(ActionFactory.PASTE));
			editMenuItem3.setText("Paste");
			editMenuItem3.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_V, java.awt.event.InputEvent.CTRL_DOWN_MASK));
			editMenuItem3.setMnemonic(java.awt.event.KeyEvent.VK_P);
			editMenuItem3.setFont(menuItemFont);
		}
		return editMenuItem3;
	}
	/**
	 * This method initializes editMenuItem4
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getEditMenuItem4() {
		if(editMenuItem4 == null) {
			editMenuItem4 = MacLafFactory.createMenuItem();
			editMenuItem4.setAction(am.get(ActionFactory.CLEAR));
			editMenuItem4.setText("Clear");
			editMenuItem4.setMnemonic(java.awt.event.KeyEvent.VK_L);
			editMenuItem4.setFont(menuItemFont);
		}
		return editMenuItem4;
	}
	/**
	 * This method initializes editMenuItem5
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getEditMenuItem5() {
		if(editMenuItem5 == null) {
			editMenuItem5 = MacLafFactory.createMenuItem();
			editMenuItem5.setAction(am.get(ActionFactory.SELECT_ALL));
			editMenuItem5.setText("Select All");
			editMenuItem5.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_A, java.awt.event.InputEvent.CTRL_DOWN_MASK));
			editMenuItem5.setMnemonic(java.awt.event.KeyEvent.VK_A);
			editMenuItem5.setFont(menuItemFont);
		}
		return editMenuItem5;
	}
	/**
	 * This method initializes editMenuItem6
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getEditMenuItem6() {
		if(editMenuItem6 == null) {
			editMenuItem6 = MacLafFactory.createMenuItem();
			editMenuItem6.setAction(am.get(ActionFactory.SELECT_NONE));
			editMenuItem6.setText("Select None");
			editMenuItem6.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_A, java.awt.event.InputEvent.CTRL_DOWN_MASK+ java.awt.event.InputEvent.SHIFT_DOWN_MASK));
			editMenuItem6.setMnemonic(java.awt.event.KeyEvent.VK_N);
			editMenuItem6.setFont(menuItemFont);
		}
		return editMenuItem6;
	}
	/**
	 * This method initializes editMenuItem7
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getEditMenuItem7() {
		if(editMenuItem7 == null) {
			editMenuItem7 = MacLafFactory.createMenuItem();
			javax.swing.Action action = am.get(ActionFactory.BROWSER);
			action.putValue(ActionFactory.BROWSER,Boolean.TRUE);
			editMenuItem7.setAction(action);
			this.browserOn();
			editMenuItem7.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_B, java.awt.event.InputEvent.CTRL_DOWN_MASK));
			editMenuItem7.setMnemonic(java.awt.event.KeyEvent.VK_B);
			editMenuItem7.setFont(menuItemFont);
		}
		return editMenuItem7;
	}
	/**
	 * This method initializes editMenuItem8
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getEditMenuItem8() {
		if(editMenuItem8 == null) {
			editMenuItem8 = MacLafFactory.createMenuItem();
			javax.swing.Action action = am.get(ActionFactory.ARTWORK);
			action.putValue(ActionFactory.ARTWORK,Boolean.TRUE);						
			editMenuItem8.setAction(action);
			this.artworkOn();
			editMenuItem8.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_G, java.awt.event.InputEvent.CTRL_DOWN_MASK));
			editMenuItem8.setMnemonic(java.awt.event.KeyEvent.VK_R);
			editMenuItem8.setFont(menuItemFont);
		}
		return editMenuItem8;
	}
	/**
	 * This method initializes editMenuItem9
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getEditMenuItem9() {
		if(editMenuItem9 == null) {
			editMenuItem9 = MacLafFactory.createMenuItem();
			editMenuItem9.setAction(am.get(ActionFactory.VIEW_OPTION));
			editMenuItem9.setText("View Options");
			editMenuItem9.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_J, java.awt.event.InputEvent.CTRL_DOWN_MASK));
			editMenuItem9.setMnemonic(java.awt.event.KeyEvent.VK_O);
			editMenuItem9.setFont(menuItemFont);
		}
		return editMenuItem9;
	}
	/**
	 * This method initializes editMenuItem10
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getEditMenuItem10() {
		if(editMenuItem10 == null) {
			editMenuItem10 = MacLafFactory.createMenuItem();
			editMenuItem10.setAction(am.get(ActionFactory.PREFERENCE));
			editMenuItem10.setText("Preference");
			editMenuItem10.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_COMMA, java.awt.event.InputEvent.CTRL_DOWN_MASK));
			editMenuItem10.setMnemonic(java.awt.event.KeyEvent.VK_F);
			editMenuItem10.setFont(menuItemFont);
		}
		return editMenuItem10;
	}
	/**
	 * This method initializes controlsMenuItem
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getControlsMenuItem() {
		if(controlsMenuItem == null) {
			controlsMenuItem = MacLafFactory.createMenuItem();
			this.readyPlay();
			controlsMenuItem.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_SPACE,0));
			controlsMenuItem.setMnemonic(java.awt.event.KeyEvent.VK_P);
			controlsMenuItem.setFont(menuItemFont);
		}
		return controlsMenuItem;
	}
	/**
	 * This method initializes controlsMenuItem1
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getControlsMenuItem1() {
		if(controlsMenuItem1 == null) {
			controlsMenuItem1 = MacLafFactory.createMenuItem();
			controlsMenuItem1.setAction(am.get(ActionFactory.NEXT_SONG));
			controlsMenuItem1.setText("Next Song");
			controlsMenuItem1.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_RIGHT,java.awt.event.InputEvent.CTRL_DOWN_MASK));
			controlsMenuItem1.setMnemonic(java.awt.event.KeyEvent.VK_N);
			controlsMenuItem1.setFont(menuItemFont);
		}
		return controlsMenuItem1;
	}
	/**
	 * This method initializes controlsMenuItem2
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getControlsMenuItem2() {
		if(controlsMenuItem2 == null) {
			controlsMenuItem2 = MacLafFactory.createMenuItem();
			controlsMenuItem2.setAction(am.get(ActionFactory.PREVIOS_SONG));
			controlsMenuItem2.setText("Previos Song");
			controlsMenuItem2.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_LEFT,java.awt.event.InputEvent.CTRL_DOWN_MASK));
			controlsMenuItem2.setMnemonic(java.awt.event.KeyEvent.VK_V);
			controlsMenuItem2.setFont(menuItemFont);
		}
		return controlsMenuItem2;
	}
	/**
	 * This method initializes jRadioButtonMenuItem
	 * 
	 * @return javax.swing.JRadioButtonMenuItem
	 */
	private javax.swing.JRadioButtonMenuItem getControlsMenuItem3() {
		if(controlsMenuItem3 == null) {
			controlsMenuItem3 = MacLafFactory.createRadioButtonMenuItem();
			controlsMenuItem3.setAction(am.get(ActionFactory.SHUFFLE));
			controlsMenuItem3.setText("Shuffle");
			controlsMenuItem3.setMnemonic(java.awt.event.KeyEvent.VK_S);
			controlsMenuItem3.setFont(menuItemFont);
		}
		return controlsMenuItem3;
	}
	/**
	 * This method initializes controlMenuItem_1
	 * 
	 * @return javax.swing.JCheckBoxMenuItem
	 */
	private javax.swing.JCheckBoxMenuItem getControlsMenuItem4() {
		if(controlsMenuItem4 == null) {
			controlsMenuItem4 = MacLafFactory.createCheckBoxMenuItem();
			controlsMenuItem4.setAction(am.get(ActionFactory.REPEAT_OFF));
			controlsMenuItem4.setText("Repeat Off");
			controlsMenuItem4.setMnemonic(java.awt.event.KeyEvent.VK_R);
			controlsMenuItem4.setFont(menuItemFont);
		}
		return controlsMenuItem4;
	}
	/**
	 * This method initializes controlMenuItem_2
	 * 
	 * @return javax.swing.JCheckBoxMenuItem
	 */
	private javax.swing.JCheckBoxMenuItem getControlsMenuItem5() {
		if(controlsMenuItem5 == null) {
			controlsMenuItem5 = MacLafFactory.createCheckBoxMenuItem();
			controlsMenuItem5.setAction(am.get(ActionFactory.REPEAT_ALL));
			controlsMenuItem5.setText("Repeate All");
			controlsMenuItem5.setMnemonic(java.awt.event.KeyEvent.VK_A);
			controlsMenuItem5.setFont(menuItemFont);
		}
		return controlsMenuItem5;
	}
	/**
	 * This method initializes controlMenuItem_3
	 * 
	 * @return javax.swing.JCheckBoxMenuItem
	 */
	private javax.swing.JCheckBoxMenuItem getControlsMenuItem6() {
		if(controlsMenuItem6 == null) {
			controlsMenuItem6 = MacLafFactory.createCheckBoxMenuItem();
			controlsMenuItem6.setText("Repeat One");
			controlsMenuItem6.setMnemonic(java.awt.event.KeyEvent.VK_O);
			controlsMenuItem6.setFont(menuItemFont);
		}
		return controlsMenuItem6;
	}
	/**
	 * This method initializes controlsMenuItem3
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getControlsMenuItem7() {
		if(controlsMenuItem7 == null) {
			controlsMenuItem7 = MacLafFactory.createMenuItem();
			controlsMenuItem7.setAction(am.get(ActionFactory.VOLUME_UP));
			controlsMenuItem7.setText("Volume Up");
			controlsMenuItem7.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_UP,java.awt.event.InputEvent.CTRL_DOWN_MASK));
			controlsMenuItem7.setMnemonic(java.awt.event.KeyEvent.VK_U);
			controlsMenuItem7.setFont(menuItemFont);
		}
		return controlsMenuItem7;
	}
	/**
	 * This method initializes controlsMenuItem4
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getControlsMenuItem8() {
		if(controlsMenuItem8 == null) {
			controlsMenuItem8 = MacLafFactory.createMenuItem();
			controlsMenuItem8.setAction(am.get(ActionFactory.VOLUME_DOWN));
			controlsMenuItem8.setText("Volume Down");
			controlsMenuItem8.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_DOWN,java.awt.event.InputEvent.CTRL_DOWN_MASK));
			controlsMenuItem8.setMnemonic(java.awt.event.KeyEvent.VK_D);
			controlsMenuItem8.setEnabled(true);
			controlsMenuItem8.setFont(menuItemFont);
		}
		return controlsMenuItem8;
	}
	/**
	 * This method initializes controlsMenuItem5
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getControlsMenuItem9() {
		if(controlsMenuItem9 == null) {
			controlsMenuItem9 = MacLafFactory.createRadioButtonMenuItem();
			controlsMenuItem9.setAction(am.get(ActionFactory.MUTE));
			controlsMenuItem9.setText("Mute");
			controlsMenuItem9.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_DOWN,java.awt.event.InputEvent.CTRL_DOWN_MASK + java.awt.event.InputEvent.ALT_DOWN_MASK));
			controlsMenuItem9.setMnemonic(java.awt.event.KeyEvent.VK_M);
			controlsMenuItem9.setFont(menuItemFont);
		}
		return controlsMenuItem9;
	}
	/**
	 * This method initializes controlsMenuItem6
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getControlsMenuItem10() {
		if(controlsMenuItem10 == null) {
			controlsMenuItem10 = MacLafFactory.createMenuItem();
			controlsMenuItem10.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_E,java.awt.event.InputEvent.CTRL_DOWN_MASK));			
			controlsMenuItem10.setText("Eject Disc");
			controlsMenuItem10.setEnabled(false);
			controlsMenuItem10.setFont(menuItemFont);
		}
		return controlsMenuItem10;
	}

	/**
	 * This method initializes advancedMenuItem
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getVisualizerMenuItem() {
		if(visualizerMenuItem == null) {
			visualizerMenuItem = new javax.swing.JMenuItem();
			visualizerMenuItem.setText("Turn Visualizer On");
			visualizerMenuItem.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_T,java.awt.event.InputEvent.CTRL_DOWN_MASK));
			visualizerMenuItem.setMnemonic(java.awt.event.KeyEvent.VK_V);
			visualizerMenuItem.setFont(menuItemFont);
			visualizerMenuItem.setEnabled(false);
		}
		return visualizerMenuItem;
	}
	/**
	 * This method initializes jCheckBoxMenuItem
	 * 
	 * @return javax.swing.JCheckBoxMenuItem
	 */
	private javax.swing.JCheckBoxMenuItem getVisualizerMenuItem1() {
		if(visualizerMenuItem1 == null) {
			visualizerMenuItem1 = new javax.swing.JCheckBoxMenuItem();
			visualizerMenuItem1.setText("Small");
			visualizerMenuItem1.setMnemonic(java.awt.event.KeyEvent.VK_S);
			visualizerMenuItem1.setFont(menuItemFont);
			visualizerMenuItem1.setEnabled(false);
		}
		return visualizerMenuItem1;
	}
	/**
	 * This method initializes jCheckBoxMenuItem1
	 * 
	 * @return javax.swing.JCheckBoxMenuItem
	 */
	private javax.swing.JCheckBoxMenuItem getVisualizerMenuItem2() {
		if(visualizerMenuItem2 == null) {
			visualizerMenuItem2 = new javax.swing.JCheckBoxMenuItem();
			visualizerMenuItem2.setText("Medium");
			visualizerMenuItem2.setMnemonic(java.awt.event.KeyEvent.VK_M);
			visualizerMenuItem2.setFont(menuItemFont);
			visualizerMenuItem2.setEnabled(false);
		}
		return visualizerMenuItem2;
	}
	/**
	 * This method initializes jCheckBoxMenuItem2
	 * 
	 * @return javax.swing.JCheckBoxMenuItem
	 */
	private javax.swing.JCheckBoxMenuItem getVisualizerMenuItem3() {
		if(visualizerMenuItem3 == null) {
			visualizerMenuItem3 = new javax.swing.JCheckBoxMenuItem();
			visualizerMenuItem3.setText("Large");
			visualizerMenuItem3.setMnemonic(java.awt.event.KeyEvent.VK_L);
			visualizerMenuItem3.setFont(menuItemFont);
			visualizerMenuItem3.setEnabled(false);
		}
		return visualizerMenuItem3;
	}
	/**
	 * This method initializes jRadioButtonMenuItem
	 * 
	 * @return javax.swing.JRadioButtonMenuItem
	 */
	private javax.swing.JRadioButtonMenuItem getVisualizerMenuItem4() {
		if(visualizerMenuItem4 == null) {
			visualizerMenuItem4 = new javax.swing.JRadioButtonMenuItem();
			visualizerMenuItem4.setText("Full Screen");
			visualizerMenuItem4.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_F,java.awt.event.InputEvent.CTRL_DOWN_MASK));
			visualizerMenuItem4.setMnemonic(java.awt.event.KeyEvent.VK_F);
			visualizerMenuItem4.setFont(menuItemFont);
			visualizerMenuItem4.setEnabled(false);
		}
		return visualizerMenuItem4;
	}
	/**
	 * This method initializes advancedMenuItem
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getAdvancedMenuItem() {
		if(advancedMenuItem == null) {
			advancedMenuItem = MacLafFactory.createMenuItem();
			advancedMenuItem.setText("Switch to Mini Player");
			advancedMenuItem.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_M,java.awt.event.InputEvent.CTRL_DOWN_MASK));
			advancedMenuItem.setMnemonic(java.awt.event.KeyEvent.VK_M);
			advancedMenuItem.setFont(menuItemFont);
			advancedMenuItem.setEnabled(false);
		}
		return advancedMenuItem;
	}
	/**
	 * This method initializes advancedMenuItem1
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getAdvancedMenuItem1() {
		if(advancedMenuItem1 == null) {
			advancedMenuItem1 = MacLafFactory.createMenuItem();
			advancedMenuItem1.setText("Open Stream");
			advancedMenuItem1.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_U,java.awt.event.InputEvent.CTRL_DOWN_MASK));
			advancedMenuItem1.setMnemonic(java.awt.event.KeyEvent.VK_O);
			advancedMenuItem1.setFont(menuItemFont);
			advancedMenuItem1.setEnabled(false);
		}
		return advancedMenuItem1;
	}
	/**
	 * This method initializes advancedMenuItem2
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getAdvancedMenuItem2() {
		if(advancedMenuItem2 == null) {
			advancedMenuItem2 = MacLafFactory.createMenuItem();
			advancedMenuItem2.setText("Convert Selection to MP3");
			advancedMenuItem2.setMnemonic(java.awt.event.KeyEvent.VK_V);
			advancedMenuItem2.setFont(menuItemFont);
			advancedMenuItem2.setEnabled(false);
		}
		return advancedMenuItem2;
	}
	/**
	 * This method initializes advancedMenuItem3
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getAdvancedMenuItem3() {
		if(advancedMenuItem3 == null) {
			advancedMenuItem3 = MacLafFactory.createMenuItem();
			advancedMenuItem3.setText("Consolidate Library...");
			advancedMenuItem3.setMnemonic(java.awt.event.KeyEvent.VK_L);
			advancedMenuItem3.setFont(menuItemFont);
			advancedMenuItem3.setEnabled(false);
		}
		return advancedMenuItem3;
	}
	/**
	 * This method initializes advancedMenuItem4
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getAdvancedMenuItem4() {
		if(advancedMenuItem4 == null) {
			advancedMenuItem4 = MacLafFactory.createMenuItem();
			advancedMenuItem4.setText("Get CD Track Names");
			advancedMenuItem4.setMnemonic(java.awt.event.KeyEvent.VK_T);
			advancedMenuItem4.setFont(menuItemFont);
			advancedMenuItem4.setEnabled(false);
		}
		return advancedMenuItem4;
	}
	/**
	 * This method initializes advancedMenuItem5
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getAdvancedMenuItem5() {
		if(advancedMenuItem5 == null) {
			advancedMenuItem5 = MacLafFactory.createMenuItem();
			advancedMenuItem5.setText("Submit CD Track Names");
			advancedMenuItem5.setMnemonic(java.awt.event.KeyEvent.VK_U);
			advancedMenuItem5.setFont(menuItemFont);
			advancedMenuItem5.setEnabled(false);
		}
		return advancedMenuItem5;
	}
	/**
	 * This method initializes advancedMenuItem6
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getAdvancedMenuItem6() {
		if(advancedMenuItem6 == null) {
			advancedMenuItem6 = MacLafFactory.createMenuItem();
			advancedMenuItem6.setText("Join CD Tracks");
			advancedMenuItem6.setMnemonic(java.awt.event.KeyEvent.VK_J);
			advancedMenuItem6.setFont(menuItemFont);
			advancedMenuItem6.setEnabled(false);
		}
		return advancedMenuItem6;
	}
	/**
	 * This method initializes advancedMenuItem7
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getAdvancedMenuItem7() {
		if(advancedMenuItem7 == null) {
			advancedMenuItem7 = MacLafFactory.createMenuItem();
			advancedMenuItem7.setText("Deauthorize Computer...");
			advancedMenuItem7.setMnemonic(java.awt.event.KeyEvent.VK_D);
			advancedMenuItem7.setFont(menuItemFont);
			advancedMenuItem7.setEnabled(false);
		}
		return advancedMenuItem7;
	}
	/**
	 * This method initializes advancedMenuItem8
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getAdvancedMenuItem8() {
		if(advancedMenuItem8 == null) {
			advancedMenuItem8 = MacLafFactory.createMenuItem();
			advancedMenuItem8.setText("Check for Pachased Music...");
			advancedMenuItem8.setMnemonic(java.awt.event.KeyEvent.VK_K);
			advancedMenuItem8.setFont(menuItemFont);
			advancedMenuItem8.setEnabled(false);
		}
		return advancedMenuItem8;
	}
	/**
	 * This method initializes advancedMenuItem9
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getAdvancedMenuItem9() {
		if(advancedMenuItem9 == null) {
			advancedMenuItem9 = MacLafFactory.createMenuItem();
			advancedMenuItem9.setText("Convert ID3 Tags...");
			advancedMenuItem9.setMnemonic(java.awt.event.KeyEvent.VK_I);
			advancedMenuItem9.setFont(menuItemFont);
			advancedMenuItem9.setEnabled(false);
		}
		return advancedMenuItem9;
	}
	/**
	 * This method initializes jMenuItem
	 * 
	 * @return javax.swing.JMenuItem
	 */
	private javax.swing.JMenuItem getHelpMenuItem() {
		if(helpMenuItem == null) {
			helpMenuItem = MacLafFactory.createMenuItem();
			helpMenuItem.setAction(am.get(ActionFactory.ABOUT));
			helpMenuItem.setText("About comsTunez");
			helpMenuItem.setMnemonic(java.awt.event.KeyEvent.VK_A);
			helpMenuItem.setFont(menuItemFont);
		}
		return helpMenuItem;
	}

	/**
	 * 
	 */
	public void browserOff() {
		getEditMenuItem7().setText("Show Browser");
	}
	/**
	 * 
	 */
	public void browserOn() {
		getEditMenuItem7().setText("Hide Browser");
	}
	/**
	 * 
	 */
	public void artworkOff() {
		getEditMenuItem8().setText("Show Artwork");
	}
	/**
	 * 
	 */
	public void artworkOn() {
		getEditMenuItem8().setText("Hide Artwork");		
	}
	/**
	 * 
	 */
	public void cancelMute() {
		getControlsMenuItem9().setSelected(false);		
	}
	/**
	 * 
	 */
	public void readyPause() {
		controlsMenuItem.setAction(am.get(ActionFactory.PAUSE));
		controlsMenuItem.setText("Pause");
	}
	/**
	 * 
	 */
	public void readyStop() {
		controlsMenuItem.setAction(am.get(ActionFactory.STOP));
		controlsMenuItem.setText("Stop");
	}
	/**
	 * 
	 */
	public void readyPlay() {
		controlsMenuItem.setAction(am.get(ActionFactory.PLAY));
		controlsMenuItem.setText("Play");
	}
	/**
	 * @param b
	 */
	public void previosSongMenuitem(boolean b) {
		controlsMenuItem1.setEnabled(b);		
	}
	/**
	 * @param b
	 */
	public void nextSongMenuitem(boolean b) {
		controlsMenuItem2.setEnabled(b);		
	}
}
