package gui.component;
import java.awt.Font;
import java.awt.event.ComponentAdapter;
import java.awt.event.ComponentEvent;

import javax.swing.JPanel;

/*
 * Created on 2004. 1. 21.
 *
 */

/**
 * @author hyoki
 *
 */
public class Artwork extends JPanel {

	/**
	 * @param string
	 * @param string2
	 */
	public Artwork(String string, String string2) {
		this();
		this.setText(string,string2);
	}
	private javax.swing.JPanel jPanel = null;
	private javax.swing.JPanel jPanel2 = null;
	private javax.swing.JPanel jPanel3 = null;
	private javax.swing.JPanel jPanel4 = null;
	private javax.swing.JPanel jPanel1 = null;
	private javax.swing.JLabel jLabel = null;
	private javax.swing.JLabel jLabel1 = null;
	/**
	 * This is the default constructor
	 */
	public Artwork() {
		super();
		initialize();
		this.addComponentListener(new ComponentAdapter(){
				public void componentResized(ComponentEvent e) {
					adaptedFontSize(getJLabel());
					adaptedFontSize(getJLabel1());		
					super.componentResized(e);
				}
				private void adaptedFontSize(javax.swing.JLabel jlabel) {
					Font oldFont = jlabel.getFont();
					double rate = 0.5;
					int size = (int) (jlabel.getHeight()*(1-rate)+ jlabel.getWidth()*rate);
					Font newFont = new Font(oldFont.getName(),oldFont.getStyle(),size/5); 
					jlabel.setFont(newFont);
				}});
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setLayout(new java.awt.BorderLayout());
		this.add(getJPanel(), java.awt.BorderLayout.CENTER);
		this.add(getJPanel1(), java.awt.BorderLayout.NORTH);
		this.add(getJPanel2(), java.awt.BorderLayout.EAST);
		this.add(getJPanel3(), java.awt.BorderLayout.WEST);
		this.add(getJPanel4(), java.awt.BorderLayout.SOUTH);
		this.add(getJPanel12(), java.awt.BorderLayout.NORTH);
//		this.setPreferredSize(new java.awt.Dimension(120,120));
	}
	/**
	 * This method initializes jPanel
	 * 
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJPanel() {
		if(jPanel == null) {
			jPanel = new javax.swing.JPanel();
			java.awt.GridLayout layGridLayout3 = new java.awt.GridLayout(2,1);
			jPanel.setLayout(layGridLayout3);
			jPanel.add(getJLabel(), null);
			jPanel.add(getJLabel1(), null);
			jPanel.setBackground(java.awt.Color.white);
			jPanel.setBorder(javax.swing.BorderFactory.createLineBorder(java.awt.Color.lightGray,2));
		}
		return jPanel;
	}
	/**
	 * This method initializes jPanel1
	 * 
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJPanel1() {
		if(jPanel1 == null) {
			jPanel1 = new javax.swing.JPanel();
			jPanel1.setBackground(java.awt.Color.white);
		}
		return jPanel1;
	}
	/**
	 * This method initializes jPanel2
	 * 
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJPanel2() {
		if(jPanel2 == null) {
			jPanel2 = new javax.swing.JPanel();
			jPanel2.setBackground(java.awt.Color.white);
		}
		return jPanel2;
	}
	/**
	 * This method initializes jPanel3
	 * 
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJPanel3() {
		if(jPanel3 == null) {
			jPanel3 = new javax.swing.JPanel();
			jPanel3.setBackground(java.awt.Color.white);
		}
		return jPanel3;
	}
	/**
	 * This method initializes jPanel4
	 * 
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJPanel4() {
		if(jPanel4 == null) {
			jPanel4 = new javax.swing.JPanel();
			jPanel4.setBackground(java.awt.Color.white);
		}
		return jPanel4;
	}
	/**
	 * This method initializes jPanel1
	 * 
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJPanel12() {
		if(jPanel1 == null) {
			jPanel1 = new javax.swing.JPanel();
		}
		return jPanel1;
	}
	/**
	 * This method initializes jLabel
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getJLabel() {
		if(jLabel == null) {
			jLabel = new javax.swing.JLabel();
			jLabel.setText("");
			jLabel.setVerticalAlignment(javax.swing.SwingConstants.BOTTOM);
			jLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
			jLabel.setBackground(java.awt.Color.white);
			jLabel.setForeground(java.awt.Color.lightGray);
		}
		return jLabel;
	}
	/**
	 * This method initializes jLabel1
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getJLabel1() {
		if(jLabel1 == null) {
			jLabel1 = new javax.swing.JLabel();
			jLabel1.setText("");
			jLabel1.setVerticalAlignment(javax.swing.SwingConstants.TOP);
			jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
			jLabel1.setForeground(java.awt.Color.lightGray);
		}
		return jLabel1;
	}
	public void setText(String upString, String bottomString){
		 getJLabel().setText(upString);
		 getJLabel1().setText(bottomString);
	}
}
