package gui.component;
import java.awt.Dimension;

import javax.swing.JPanel;

import laf.mac.MacLafFactory;

/*
 * Created on 2004. 1. 21.
 *
 */

/**
 * @author hyoki
 *
 */
public class FilterPanel extends JPanel {

	private javax.swing.JButton browseButton = null;
	private javax.swing.JPanel jPanel = null;
	private SearchPanel searchPanel = null;
	private javax.swing.JPanel jPanel2 = null;
	private javax.swing.JPanel jPanel3 = null;
	private javax.swing.JLabel jLabel = null;
	private javax.swing.JPanel jPanel4 = null;
	private javax.swing.JLabel jLabel1 = null;
	/**
	 * This is the default constructor
	 */
	public FilterPanel(javax.swing.ActionMap map) {
		super();
		setActionMap(map);
		initialize();		
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setLayout(new java.awt.BorderLayout());
		this.add(getJPanel(), java.awt.BorderLayout.NORTH);
		this.add(getJPanel2(), java.awt.BorderLayout.WEST);
		this.add(getJPanel3(), java.awt.BorderLayout.EAST);
		this.add(getJPanel4(), java.awt.BorderLayout.CENTER);		
	}
	/**
	 * This method initializes jButton
	 * 
	 * @return javax.swing.JButton
	 */
	private javax.swing.JButton getBrowseButton() {
		if(browseButton == null) {
			browseButton = MacLafFactory.createImageButton("browse");
			controller.ActionFactory.setAction(browseButton,getActionMap(),controller.ActionFactory.BROWSER);
			browseButton.setMinimumSize(new Dimension(browseButton.getIcon().getIconWidth()+5,browseButton.getIcon().getIconHeight()+5));
		}
		return browseButton;
	}
	/**
	 * This method initializes jPanel
	 * 
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJPanel() {
		if(jPanel == null) {
			jPanel = MacLafFactory.createPanel();
		}
		return jPanel;
	}
	/**
	 * This method initializes searchPanel
	 * 
	 * @return SearchPanel
	 */
	private SearchPanel getSearchPanel() {
		if(searchPanel == null) {
			searchPanel = new SearchPanel();
		}
		return searchPanel;
	}
	/**
	 * This method initializes jPanel2
	 * 
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJPanel2() {
		if(jPanel2 == null) {
			jPanel2 = MacLafFactory.createPanel();
		}
		return jPanel2;
	}
	/**
	 * This method initializes jPanel3
	 * 
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJPanel3() {
		if(jPanel3 == null) {
			jPanel3 = MacLafFactory.createPanel();
			jPanel3.setLayout(new java.awt.BorderLayout());
			jPanel3.add(getBrowseButton(), java.awt.BorderLayout.CENTER);
			jPanel3.add(getJLabel(), java.awt.BorderLayout.SOUTH);
		}
		return jPanel3;
	}
	/**
	 * This method initializes jLabel
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getJLabel() {
		if(jLabel == null) {
			jLabel = new javax.swing.JLabel();
			jLabel.setText("Browse");
			jLabel.setOpaque(false);
		}
		return jLabel;
	}
	/**
	 * This method initializes jPanel4
	 * 
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJPanel4() {
		if(jPanel4 == null) {
			jPanel4 = MacLafFactory.createPanel();
			jPanel4.setLayout(new java.awt.BorderLayout());
			jPanel4.add(getJLabel1(), java.awt.BorderLayout.SOUTH);
			jPanel4.add(getSearchPanel(), java.awt.BorderLayout.CENTER);
		}
		return jPanel4;
	}
	/**
	 * This method initializes jLabel1
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getJLabel1() {
		if(jLabel1 == null) {
			jLabel1 = new javax.swing.JLabel();
			jLabel1.setText("Search");
			jLabel1.setOpaque(false);
			jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
		}
		return jLabel1;
	}
}
