/*
 * Created on 2004. 1. 25.
 *
 */
package laf.mac.renderedUI;

import java.awt.Graphics;

import javax.swing.JComponent;
import javax.swing.plaf.basic.BasicPanelUI;


/**
 * @author hyoki
 *
 */
public class RenderedPanel extends BasicPanelUI {

	private ComponentRenderer renderer = null;
	private RenderedPanel(){}

	/**
	 * @param renderer
	 */
	public RenderedPanel(ComponentRenderer renderer) {
		this.renderer = renderer;
	}
	
	/* (non-Javadoc)
	 * @see javax.swing.plaf.ComponentUI#paint(java.awt.Graphics, javax.swing.JComponent)
	 */
	public void paint(Graphics g, JComponent c) {
		renderer.paint(g,c);
	}
}
