/*
 * Created on 2004. 1. 19.
 *
 */
package laf.mac.renderedUI;

import java.awt.Dimension;
import java.awt.Graphics;

import javax.swing.SwingConstants;
import javax.swing.table.DefaultTableCellRenderer;


/**
 * @author hyoki
 *
 */
public class RenderedTableHeader extends DefaultTableCellRenderer {
	
	private boolean beSelected;
	private ComponentRenderer renderer = null;
	private RenderedTableHeader(){}
	private int fixedHeaderHeight = 0;	
	/**
	 * @param renderer
	 */
	public RenderedTableHeader(ComponentRenderer renderer) {
		this.renderer = renderer;
		fixedHeaderHeight = renderer.getTableHeaderSize();
		super.setOpaque(false);
		super.setHorizontalAlignment(SwingConstants.CENTER);
	}
	
//	/* (non-Javadoc)
//	 * @see javax.swing.table.TableCellRenderer#getTableCellRendererComponent(javax.swing.JTable, java.lang.Object, boolean, boolean, int, int)
//	 */
//	public Component getTableCellRendererComponent(
//		JTable table,
//		Object value,
//		boolean isSelected,
//		boolean hasFocus,
//		int row,
//		int column) {
//			final JTable temp = table;
//			table.getTableHeader().addMouseListener(new MouseAdapter() {
//				public void mouseClicked(MouseEvent e) {
//					TableColumnModel columnModel = temp.getColumnModel();
//					int viewColumn = columnModel.getColumnIndexAtX(e.getX());
//					int column = temp.convertColumnIndexToModel(viewColumn);
//					if (e.getClickCount() == 1 && column != -1) {
//						int shiftPressed = e.getModifiers()& InputEvent.SHIFT_MASK;
//						boolean ascending = (shiftPressed == 0);
//						System.out.println("djskl");
//						beSelected = true;
//						
//					}
//				}});
//			this.setText(""+value);
//			return this;
//	}

//	private void drawTriangle(Graphics g){
//		//if(this.isSelected){
//		//	g.setColor(SongTableRenderer.selected);
//		//}else{
//			g.setColor(Color.gray);
//		//}
//		int w = this.getWidth();
//		int[] xP = new int[3];
//		int[] yP = new int[3];
//		xP[0] = w - (int)(0.75*H);
//		xP[1] = w - (int)(0.25*H);
//		xP[2] = w - (int)(0.5*H);;
//		if(typ==UP){
//			yP[0] = (int)(0.75*H);
//			yP[1] = (int)(0.75*H);
//			yP[2] = (int)(0.25*H);
//		}else{
//			yP[0] = (int)(0.25*H);
//			yP[1] = (int)(0.25*H);
//			yP[2] = (int)(0.75*H);
//		}
//		Polygon poly = new Polygon(xP, yP, 3);
//		g.fillPolygon(poly);
//		
//	}
	/* (non-Javadoc)
	 * @see java.awt.Component#paint(java.awt.Graphics)
	 */
	public void paint(Graphics g) {
		if(this.beSelected){
			renderer.paintTableHeaderSelected(g,this);
		}else{
			renderer.paintTableHeaderBG(g,this);
		}
		
		//if(typ!=NORMAL){
		//	this.drawTriangle(graphics);
		//}
		super.paint(g);
	}

	/* (non-Javadoc)
	 * @see java.awt.Component#getMaximumSize()
	 */
	public Dimension getMaximumSize() {		
		return new Dimension(super.getMaximumSize().width, fixedHeaderHeight);
	}

	/* (non-Javadoc)
	 * @see java.awt.Component#getMinimumSize()
	 */
	public Dimension getMinimumSize() {
		return new Dimension(super.getMinimumSize().width,fixedHeaderHeight);
	}

	/* (non-Javadoc)
	 * @see java.awt.Component#getPreferredSize()
	 */
	public Dimension getPreferredSize() {
		return new Dimension(super.getPreferredSize().width, fixedHeaderHeight);
	}
}