/*
 * Created on 2004. 1. 15.
 *
 */
package laf.mac.texturedUI;

import java.awt.Graphics;

import javax.swing.JComponent;
import javax.swing.plaf.basic.BasicPanelUI;


/**
 * @author hyoki
 *
 */
public class TexturedPanelUI extends BasicPanelUI {
	private ComponentTexturer texturer = null;
	/**
	 * @param texturer
	 */
	public TexturedPanelUI(ComponentTexturer texturer) {
		this.texturer = texturer;
	}
	private TexturedPanelUI(){}
	/* (non-Javadoc)
	 * @see javax.swing.plaf.ComponentUI#paint(java.awt.Graphics, javax.swing.JComponent)
	 */
	public void paint(Graphics g, JComponent c) {
		texturer.paint(g,c);
		super.paint(g, c);
	}
}
