
package model.api;

/**
 * @author Jeong Ingu
 */
public interface Library extends Playlist{
	String getOwner();
	
	Playlist createPlaylist(String playlistName);
	void removePlaylist(Playlist list);
	
	Playlist getPlaylist(int index);
	Playlist[] getAllPlaylists();
	
	int getPlaylistSize();
	
	void save();
}
