package model.api;

/*
 * Created on 2004. 1. 15.
 */

/**
 * @author Jeong Ingu
 * 
 */
public interface Playlist {
	
	void addSong(Song song);
	void removeSong(int index);	

	Song[] getAllSongs();
	Song getSong(int index);
	int getSongSize();

	boolean isSmartList();

	void setName(String name);
	void setPlaylistId(int id);
	void setPlaylistPersistentId(String persistentId);
	
	String getName();
	int getPlaylistId();
	String getPlaylistPersistentId();
		
}
