package model.api;

import java.io.IOException;
import java.io.InputStream;

/**
 * 
 * @author Jeong Ingu
 * 
 */
public interface Song {

	int getId();
	String getName();
	String getArtist();	
	String getAlbum();
	String getGenre();
	String getKind();
	long getSize();
	long getTotalTime();
	int getTrackNumber();
	String getYear();
	String getModifiedDate();
	String getAddedDate();
	int getBitRate();
	int getSampleRate();
	String getComments();
	int getPlayCount();
	long getPlayDate();
	String getPlayDateUTC();
	int getRating();
	String getLocation();	
	InputStream getMusicStream() throws IOException;
}
